package com.isidroid.c23.ui.screen.details

import com.isidroid.c23.ext.isDebug
import com.isidroid.core.vm.BaseViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class JobDetailsViewModel @Inject constructor() : BaseViewModel<JobDetailsContract.Event, JobDetailsContract.State, JobDetailsContract.Effect>() {
    override val isDebug: Boolean = isDebug()
    override fun setInitialState(): JobDetailsContract.State = JobDetailsContract.State()
    override suspend fun handleEvents(event: JobDetailsContract.Event) {
       when(event){
           JobDetailsContract.Event.ToBack -> setEffect { JobDetailsContract.Effect.Navigation.ToBack }
       }
    }
}